import asyncio
from bilibili_api import live

class Listener:
    def __checkLiveRoomStatus(self,room_display_id):
        return asyncio.get_event_loop().run_until_complete(live.LiveRoom(room_display_id=room_display_id).get_room_play_info())["live_status"]

    def add(self,room_display_id,liveHandler):
        liveDanmaku = live.LiveDanmaku(room_display_id=room_display_id)
        liveDanmaku.add_event_listener(name="LIVE", handler=liveHandler)
        if self.__checkLiveRoomStatus(room_display_id=room_display_id)==1:
            liveHandler()